Name:                pdfpc
Version:             4.3.4
Release:             1
Summary:             A GTK based presentation viewer application for GNU/Linux
License:             GPLv2+
URL:                 https://%{name}.github.io/
Source0:             https://github.com/%{name}/%{name}/archive/v%{version}.tar.gz
Patch0:              0001-make-constructors-of-abstract-classes-protected.patch
BuildRequires:       cmake gcc git-core gtk3-devel gstreamer1-devel gstreamer1-plugins-base-devel
BuildRequires:       librsvg2-devel libgee-devel pango-devel poppler-glib-devel vala vala-devel

%description
pdfpc is a GTK based presentation viewer application for GNU/Linux which uses
Keynote like multi-monitor output to provide meta information to the speaker
during the presentation. It is able to show a normal presentation window on one
screen, while showing a more sophisticated overview on the other one providing
information like a picture of the next slide, as well as the left over time
till the end of the presentation. The input files processed by pdfpc are PDF
documents, which can be created using nearly any of today's presentation
software.

%prep
%autosetup -n %{name}-%{version} -S git

%build
%cmake -DSYSCONFDIR=/etc .
make %{?_smp_mflags}

%install
%make_install

%files
%doc README.rst CHANGELOG.txt
%{_bindir}/%{name}
%license LICENSE.txt
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_mandir}/man1/%{name}*
%{_mandir}/man5/%{name}*
%{_datadir}/pixmaps/%{name}

%changelog
* Tue Nov 17 2020 wangyue <wangyue92@huawei.com> - 4.3.4-1
- package init
